Subject: Re: bug#50470: 27.1; 'company-mode' 'eshell'

From: Jim Porter <[email-masked]>
Date: Mon, 27 Mar 2023 21:06:39 -0700

On 3/27/2023 5:41 PM, Dmitry Gutov wrote:
> Again, no proper review from me, but I've tried the patches.

Thanks for taking a look. I'll give it a couple more days in case Stefan 
has any thoughts, and if not, I'll merge the patches.

> Completion looks good, just like with the previous one.
> 
> But here's an error I encountered when trying to call a command with 
> asterisks without expanding them with completion:
> 
> $ ls ~/Documents/Sp*
> Wrong type argument: stringp, ("~/Documents/Spain/")

And thanks for catching this. It was fallout from my fix to bug#28064. 
I've pushed a fix to master as 28a9438169.